<script setup lang="ts">
import TheButton from '@/components/TheButton.vue'
import TheLord from '@/components/TheLord.vue'
import type Lord from '@/types/lord'
</script>

<template>
    <main class="random">
        <div class="lord-wrapper">
            <TheButton text="Random charater" @click="getRandom">yolo</TheButton>
            <div v-if="lord.name">
                <TheLord :lord="lord" />
            </div>
        </div>
        <div></div>
    </main>
</template>

<script lang="ts">
export default {
    data() {
        return {
            lord: {} as Lord
        }
    },
    methods: {
        getRandom() {
            fetch('http://localhost:4010/totalWar').then(response => {
                return response.json()
            }).then(json => {
                this.lord = json
            })
            // axios('http://localhost:4010/totalWar').then((response) => {
            //   this.lord = response.data
            // })
        }
    }
}
</script>

<style>
.random {
    display: flex;
    align-items: center;
}

.lord-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    min-width: 500px;
}
</style>
